
T5_Pritsche = {};

function T5_Pritsche.prerequisitesPresent(specializations)
    return true; 
end;

function T5_Pritsche:load(xmlFile)
		--Erster Trigger
	self.Trigger1 = T5_Pritsche.Trigger1;
	self.TriggerIndex1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Trigger1#index"));
	addTrigger(self.TriggerIndex1, "Trigger1", self);
	self.enteredTrigger1 = false;
		--Zweiter Trigger
	self.Trigger2 = T5_Pritsche.Trigger2;
	self.TriggerIndex2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Trigger2#index"));
	addTrigger(self.TriggerIndex2, "Trigger2", self);
	self.enteredTrigger2 = false;
		--Dritter Trigger
	self.Trigger3 = T5_Pritsche.Trigger3;
	self.TriggerIndex3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Trigger3#index"));
	addTrigger(self.TriggerIndex3, "Trigger3", self);
	self.enteredTrigger3 = false;	

	
end;

function T5_Pritsche:Trigger1(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if (g_currentMission.controlledVehicle and otherId == g_currentMission.controlledVehicle.components[1].node) or (g_currentMission.player and otherId == g_currentMission.player.rootNode) then
		if onEnter then
			self.enteredTrigger1 = true;
		end;
	if onLeave then 
		self.enteredTrigger1 = false;
		end;
	end;
end;

function T5_Pritsche:Trigger2(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if (g_currentMission.controlledVehicle and otherId == g_currentMission.controlledVehicle.components[1].node) or (g_currentMission.player and otherId == g_currentMission.player.rootNode) then
		if onEnter then
			self.enteredTrigger2 = true;
		end;
	if onLeave then 
		self.enteredTrigger2 = false;
		end;
	end;
end;

function T5_Pritsche:Trigger3(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if (g_currentMission.controlledVehicle and otherId == g_currentMission.controlledVehicle.components[1].node) or (g_currentMission.player and otherId == g_currentMission.player.rootNode) then
		if onEnter then
			self.enteredTrigger3 = true;
		end;
	if onLeave then 
		self.enteredTrigger3 = false;
		end;
	end;
end;

function T5_Pritsche:readStream(streamId, connection)
	
end;

function T5_Pritsche:writeStream(streamId, connection)	
	
end;

function T5_Pritsche:delete()
	
end;

function T5_Pritsche:mouseEvent(posX, posY, isDown, isUp, button)
end;

function T5_Pritsche:keyEvent(unicode, sym, modifier, isDown)
end;

function T5_Pritsche:update(dt)


	
	if self.enteredTrigger1 then
		if InputBinding.isPressed(InputBinding.T5_Pritsche_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pritsche_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;
				if self.animationParts[1].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_2")), InputBinding.T5_Pritsche_2);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_1")), InputBinding.T5_Pritsche_1);
				end;
	end;
	
	if self.enteredTrigger2 then
		if InputBinding.isPressed(InputBinding.T5_Pritsche_4) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pritsche_3) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet*(dt/10)));
		end;
				if self.animationParts[2].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_3")), InputBinding.T5_Pritsche_3);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_4")), InputBinding.T5_Pritsche_4);
				end;
				
	end;			
	if self.enteredTrigger3 then			
		if InputBinding.isPressed(InputBinding.T5_Pritsche_6) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition+(self.animationParts[3].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pritsche_5) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition-(self.animationParts[3].offSet*(dt/10)));
		end;
				if self.animationParts[3].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_5")), InputBinding.T5_Pritsche_5);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_6")), InputBinding.T5_Pritsche_6);
				end;
	end;
	
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.T5_Pritsche_7) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition+(self.animationParts[4].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pritsche_8) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition-(self.animationParts[4].offSet*(dt/10)));
		end;
				if self.animationParts[4].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_8")), InputBinding.T5_Pritsche_8);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_7")), InputBinding.T5_Pritsche_7);
				end;
		if InputBinding.isPressed(InputBinding.T5_Pritsche_9) then
			self:setAnimationTime(5, self.animationParts[5].currentPosition+(self.animationParts[5].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Pritsche_10) then
			self:setAnimationTime(5, self.animationParts[5].currentPosition-(self.animationParts[5].offSet*(dt/10)));
		end;
				if self.animationParts[5].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_10")), InputBinding.T5_Pritsche_10);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_Pritsche_9")), InputBinding.T5_Pritsche_9);
				end;
	end;
end;

function T5_Pritsche:triggerCallback(triggerId,otherId,onEnter,onLeave,onStay)
    if (triggerId == self.stateChange) then
        if (onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode) then
            self.changeAllowed = true;
        elseif (onLeave) then
            self.changeAllowed = false;
        end;
    end;
end;

function T5_Pritsche:updateTick(dt)
end;

function T5_Pritsche:draw()
end;

function T5_Pritsche:onLeave()
	
end;